Package org.apache.sling.scripting.spi.bundle

# Interface TypeProvider

@ProviderType public interface TypeProvider
A `TypeProvider` keeps an association between a `BundledRenderUnitCapability` and the bundle that provides it.

## Method Summary

Modifier and Type
Method
Description
`@NotNull org.osgi.framework.Bundle`
`getBundle()`
Returns the providing bundle.
`@NotNull BundledRenderUnitCapability`
`getBundledRenderUnitCapability()`
Returns the `BundledRenderUnitCapability`.

## Method Details

### getBundledRenderUnitCapability

@NotNull @NotNull BundledRenderUnitCapability getBundledRenderUnitCapability()
Returns the `BundledRenderUnitCapability`.

Returns:
  the `BundledRenderUnitCapability`

### getBundle

@NotNull @NotNull org.osgi.framework.Bundle getBundle()
Returns the providing bundle.

Returns:
  the providing bundle